com.here.msdkui.routing

## Enum RouteDescriptionItem.Section

- java.lang.Object
- - java.lang.Enum<RouteDescriptionItem.Section>
  - - com.here.msdkui.routing.RouteDescriptionItem.Section

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RouteDescriptionItem.Section>
  Enclosing class:
    RouteDescriptionItem

      public static enum RouteDescriptionItem.Section
      extends java.lang.Enum<RouteDescriptionItem.Section>

  An enum describing the sections of this item.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRIVAL_TIME` Arrival time.
    `DETAILS` Details section.
    `SECTION_BAR` Section bar.
    `TIME` Time section.
    `TRAFFIC_WARNING` Traffic warning section.
    `TYPE_ICON` Icon section.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAttrValue()`
    `static RouteDescriptionItem.Section` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RouteDescriptionItem.Section[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TYPE_ICON

          public static final RouteDescriptionItem.Section TYPE_ICON

      Icon section.

    - #### TIME

          public static final RouteDescriptionItem.Section TIME

      Time section.

    - #### DETAILS

          public static final RouteDescriptionItem.Section DETAILS

      Details section.

    - #### TRAFFIC_WARNING

          public static final RouteDescriptionItem.Section TRAFFIC_WARNING

      Traffic warning section.

    - #### ARRIVAL_TIME

          public static final RouteDescriptionItem.Section ARRIVAL_TIME

      Arrival time.

    - #### SECTION_BAR

          public static final RouteDescriptionItem.Section SECTION_BAR

      Section bar.

  - ### Method Detail

    - #### values

          public static RouteDescriptionItem.Section[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RouteDescriptionItem.Section c : RouteDescriptionItem.Section.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RouteDescriptionItem.Section valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAttrValue

          public int getAttrValue()